require 'spec_helper'

describe 'puppet_enterprise::console_services' do
  before :each do
    @facter_facts = {
      'osfamily'          => 'Debian',
      'operatingsystem'   => 'Debian',
      'lsbmajdistrelease' => '6',
      'puppetversion'     => '3.6.2 (Puppet Enterprise 3.3.0)',
      'is_pe'             => 'true',
      'fqdn'              => 'master.rspec',
      'clientcert'        => 'awesomecert',
      'pe_concat_basedir'    => '/tmp/file',
      'processorcount'    => '1',
    }

    @params = { }
  end

  let(:facts) { @facter_facts }
  let(:params) { @params }
  let(:confdir) { "/etc/puppetlabs/puppet" }

  context "when managing default java_args" do
    it { should contain_pe_ini_subsetting("pe-console-services_'Xmx'").with_value( '256m' ) }
    it { should contain_pe_ini_subsetting("pe-console-services_'Xms'").with_value( '256m' ) }
  end

  context "wth custom java_args" do
    before(:each) { @params['java_args'] = { 'Xmx' => '128m' } }
    it { should contain_pe_ini_subsetting("pe-console-services_'Xmx'").with(
     'value'   => '128m',
     'require' => 'Package[pe-console-services]',
    ) }
  end

  context "managing services" do
    it { should contain_service('pe-console-services') }
  end

end
